clear all
clc
tTotalTime=tic; % lets track total computational time

callDatabase % script to load the caseStudyData
noRuns = 31; % number of trials here
% get CEEPSO parameters from CEEPSOparameters.m file
CEEPSOparameters

otherParameters = setOtherParameters(caseStudyData,ceepsoParameters.pop_size);
% set penalties
% otherParameters.ensPenalty=10000; % insufficient generation / energy not supplied
% otherParameters.voltagePenalty=10000; % bus voltage violations
% otherParameters.linesPenalty=10000; % rate capacity of lines violated
otherParameters.ensPenalty=10000; % insufficient generation / energy not supplied
otherParameters.voltagePenalty=10000; % bus voltage violations
otherParameters.linesPenalty=10000; % rate capacity of lines violated

[lowerBounds,upperBounds] = setVariablesBounds(caseStudyData,otherParameters);

[ ~, dim ] = size( lowerBounds );
ceepsoParameters.dim = dim;

for iRuns=1:noRuns
    fprintf('Run %d\n', iRuns); 
    tOpt=tic;
    rand('state',sum(noRuns*100*clock))% ensure stochastic indpt trials
    [ResDB(iRuns).solution, ResDB(iRuns).fitMaxVector, ...
    ResDB(iRuns).objMaxVector, ResDB(iRuns).otherParameters] =...
        CEEPSO(iRuns, ceepsoParameters,caseStudyData,otherParameters,lowerBounds,upperBounds);
    ResDB(iRuns).tOpt=toc(tOpt); % time of each trial
    fprintf('\n'); 
    writeBenchTables
end

tTotalTime=toc(tTotalTime)

